List plans
curl --request GET \
--url https://api.bondio.co/v1/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"nextPage": "<string>",
"items": [
{
"id": "plan_gulabo12",
"name": "Australia 1GB 7d recurring throttled",
"voiceMinutes": 60,
"dataMegaBytes": 1024,
"smsMessages": 100,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"archivedAt": null,
"label": "alpha",
"createdAt": 0,
"coverage": {
"id": "cvpr_hdy2da3n",
"name": "Australia region",
"label": "lambda",
"countries": [
{
"name": "Australia",
"iso2": "AU",
"iso3": "AUS",
"operators": [
{
"name": "Telstra",
"supportedRats": [
"4g",
"5g"
]
}
]
}
]
}
}
]
}Plan
List plans
Returns a lists of plans based on the search/filtering criteria
GET
/
v1
/
plans
List plans
curl --request GET \
--url https://api.bondio.co/v1/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"nextPage": "<string>",
"items": [
{
"id": "plan_gulabo12",
"name": "Australia 1GB 7d recurring throttled",
"voiceMinutes": 60,
"dataMegaBytes": 1024,
"smsMessages": 100,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"archivedAt": null,
"label": "alpha",
"createdAt": 0,
"coverage": {
"id": "cvpr_hdy2da3n",
"name": "Australia region",
"label": "lambda",
"countries": [
{
"name": "Australia",
"iso2": "AU",
"iso3": "AUS",
"operators": [
{
"name": "Telstra",
"supportedRats": [
"4g",
"5g"
]
}
]
}
]
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Query to search the plans by name
When true, only archived plans are returned. When false, only non archived plans are returned. When absent all are returned.
A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call.
Number of items to be returned in a single page
Required range:
1 <= x <= 25Comma separated list of countryIso2 e.g. countryIso2=FR,IN

